#ifndef __menu
#define __menu

#include <Adafruit_GFX.h>
#include "include/display.h"

#if DISPLAY_WIDTH != 240 || DISPLAY_HEIGHT != 240
  #error "The menu assumes a display pixel size of 240x240"
#endif

class Menu
{
  private:
    Adafruit_GFX* display;

  public:
    Menu(Adafruit_GFX* display)
    {
      this->display = display;
    }

    void init();
};

#endif